Name:		htcacheclean
Version:	1
Release:	0%{?dist}
Summary:	A set of scripts making it easy to daemonize htcacheclean

Group:		System Environment/Daemons
License:	GPL
URL:		http://fermilinux.fnal.gov/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	coreutils
Requires:	httpd /usr/sbin/htcacheclean chkconfig initscripts

BuildArch:	noarch

%description
htcacheclean is used to keep the size of mod_disk_cache's storage within a certain limit. This tool can run either manually or in daemon mode. When running in daemon mode, it sleeps in the background and checks the cache directories at regular intervals for cached content to be removed.

This package provides scripts for easily daemonizeing the process and has a standard /etc/sysconfig/htcacheclean for its configuration

%prep
%setup -q


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
cp htcacheclean.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/htcacheclean

mkdir -p $RPM_BUILD_ROOT/etc/init.d/
cp htcacheclean $RPM_BUILD_ROOT/etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(640, root, root) /etc/sysconfig/htcacheclean
%attr(755, root, root) /etc/init.d/htcacheclean
%doc

%post
/sbin/chkconfig --add htcacheclean

%preun
if [ "$1" = 0 ]
then
	/sbin/service htcacheclean stop > /dev/null 2>&1
	/sbin/chkconfig --del htcacheclean
fi


%changelog
* Tue Aug 21 2012 Pat Riehecky <riehecky@fnal.gov> 1.0
- initial build
